using System;
using System.Net.WebSockets;
using System.Text;
using System.Threading;
using System.Threading.Tasks;

namespace gameapi.Commands
{
    public class UnknownWebsocketCommand : IWebsocketCommand
    {
        public UnknownWebsocketCommand()
        {
        }

        public async Task Run(WebSocket webSocket)
        {
            var message = "error Unknown command";
            await webSocket.SendAsync(new ArraySegment<byte>(Encoding.UTF8.GetBytes(message), 0, message.Length), WebSocketMessageType.Text, true, CancellationToken.None);
        }

    }
}