import { EditorView } from './viewer/EditorView.js';
import { CanvasRenderer } from './libraries/CanvasRenderer.js';

document.addEventListener("DOMContentLoaded", () => {
    let viewer = document.getElementById('viewer');
    let renderer = new CanvasRenderer();
    let view = new EditorView();
    view.init().then(() => {
        renderer.init(viewer,view);
        renderer.start();
        setInterval(() => {view.update(1000/60);}, Math.floor(1000/60));
    });
});
